//---------------------------------------------------------------------------
//  Copyright 1998  Formation Design Systems.				All Rights Reserved
//																									http://www.formsys.com
//	John Curtis, Oct 1998.   
//---------------------------------------------------------------------------

// CRadioGroupSampleDlg.h : header file
//

#if !defined(AFX_CRADIOGROUPSAMPLEDLG_H__6CEEBBE9_459E_11D2_A9D4_D5BB5D790840__INCLUDED_)
#define AFX_CRADIOGROUPSAMPLEDLG_H__6CEEBBE9_459E_11D2_A9D4_D5BB5D790840__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef _CCUSTOMBUTTON_
#include "CCustomButton.h"
#endif

#ifndef _CRADIOGROUP_
#include "CRadioGroup.h"
#endif

#ifndef _CCUSTOMICONBUTTON_
#include "CCustomIconButton.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CCRadioGroupSampleDlg dialog
//
// Sample dialog to test the CCustomButton and CRadioGroup classes.

class CCRadioGroupSampleDlg : public CDialog
{
// Construction
public:
	CCRadioGroupSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCRadioGroupSampleDlg)
	enum { IDD = IDD_CRADIOGROUPSAMPLE_DIALOG };
	CString	m_sGroup1;
	CString	m_sGroup2;
	CRadioGroup m_Group1;
	CRadioGroup m_Group2;
	CCustomButton m_StdRadio1;
	CCustomButton m_StdRadio2;
	CCustomButton m_StdRadio3;
	CCustomButton m_StdRadio4;
	CCustomButton m_StdRadio5;
	CCustomIconButton m_Radio1;
	CCustomIconButton m_Radio2;
	CCustomIconButton m_Radio3;
	CCustomIconButton m_Radio4;
	CCustomIconButton m_Radio5;
	CCustomButton m_Test1;
	CCustomIconButton m_Test2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCRadioGroupSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCRadioGroupSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGroup1();
	afx_msg void OnGroup2();
	afx_msg void OnDisableRadio();
	afx_msg void OnSetCheck();
	afx_msg void OnSetPush();
	afx_msg void OnSetRadio();
	afx_msg void OnSetCheck3State();
	afx_msg void OnSetAuto();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CRADIOGROUPSAMPLEDLG_H__6CEEBBE9_459E_11D2_A9D4_D5BB5D790840__INCLUDED_)
