//---------------------------------------------------------------------------
//  Copyright 1998  Formation Design Systems.				All Rights Reserved
//																									http://www.formsys.com
//	John Curtis, Oct 1998.   
//---------------------------------------------------------------------------

#ifndef _CRADIOHELPERS_
#define _CRADIOHELPERS_


///////////////////////////////////////////////////////////////////////
//	Class CRadioHelpers -- namespace for generic radio button helpers
///////////////////////////////////////////////////////////////////////

class CRadioHelpers
{
public:
	static BOOL		IsRadio(CWnd* pButton);
	static BOOL		IsGroupBox(CWnd* pButton);
	static BOOL		IsRadioGroup(CWnd* pButton);
	static BOOL		IsAutoRadio(CWnd* pButton);
	static void		SetAutoRadio(CWnd* pButton,int state);
	static int		GetAutoRadio(CWnd* pButton);
	static CWnd*	FindStartOfRadioGroup(CWnd* pButton);
	static void		HitRadioItem(CWnd* pButton);
	static void		TellParentClicked(CWnd* pButton);
	static void		TellGroupClicked(CWnd* pButton);
	};

#endif
